11 Star 7 Fork 56

src-openEuler/openssh

加入 Gitee
与超过 1200万 开发者一起发现、参与优秀开源项目,私有仓库也完全免费 :)
免费加入
文件
该仓库未声明开源许可证文件(LICENSE),使用请关注具体项目描述及其代码上游依赖。
克隆/下载
skip-scp-test-if-there-is-no-scp-on-remote-path-as-s.patch 1.43 KB
一键复制 编辑 原始数据 按行查看 历史
From e32af8efd8d36f8349761615b73cb3174e52134a Mon Sep 17 00:00:00 2001
From: chengyechun <chengyechun1@huawei.com>
Date: Thu, 5 Jan 2023 22:45:10 +0800
Subject: [PATCH] skip scp test if there is no scp on remote path as scp3.sh
did
---
regress/multiplex.sh | 14 +++++++++-----
1 file changed, 9 insertions(+), 5 deletions(-)
diff --git a/regress/multiplex.sh b/regress/multiplex.sh
index 4744fa3..8ab0f59 100644
--- a/regress/multiplex.sh
+++ b/regress/multiplex.sh
@@ -67,11 +67,15 @@ echo "get ${DATA} ${COPY}" | \
test -f ${COPY} || fail "sftp: failed copy ${DATA}"
cmp ${DATA} ${COPY} || fail "sftp: corrupted copy of ${DATA}"
-rm -f ${COPY}
-trace "scp transfer over multiplexed connection and check result"
-${SCP} -S ${SSH} -F $OBJ/ssh_config -oControlPath=$CTL otherhost:${DATA} ${COPY} >>$TEST_REGRESS_LOGFILE 2>&1
-test -f ${COPY} || fail "scp: failed copy ${DATA}"
-cmp ${DATA} ${COPY} || fail "scp: corrupted copy of ${DATA}"
+$SSH -F $OBJ/ssh_proxy somehost \
+ 'IFS=":"; for i in $PATH;do [ -x "$i/scp" ] && exit 0; done; exit 1'
+if [ $? -eq 0 ]; then
+ rm -f ${COPY}
+ trace "scp transfer over multiplexed connection and check result"
+ ${SCP} -S ${SSH} -F $OBJ/ssh_config -oControlPath=$CTL otherhost:${DATA} ${COPY} >>$TEST_REGRESS_LOGFILE 2>&1
+ test -f ${COPY} || fail "scp: failed copy ${DATA}"
+ cmp ${DATA} ${COPY} || fail "scp: corrupted copy of ${DATA}"
+fi
rm -f ${COPY}
verbose "test $tid: forward"
--
2.23.0
马建仓 AI 助手
尝试更多
代码解读
代码找茬
代码优化
1
https://gitee.com/src-openeuler/openssh.git
git@gitee.com:src-openeuler/openssh.git
src-openeuler
openssh
openssh
master

搜索帮助